Bug 1750123 - blivet unable to use all the usable freespace regions
Summary: blivet unable to use all the usable freespace regions
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: python-blivet
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Blivet Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: RejectedBlocker
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-09-08 15:11 UTC by lnie
Modified: 2019-10-01 00:24 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)
screenshot (142.97 KB, image/png)
2019-09-08 15:11 UTC, lnie
no flags Details
storage.log (289.90 KB, text/plain)
2019-09-08 15:13 UTC, lnie
no flags Details
anaconda.log (37.33 KB, text/plain)
2019-09-08 15:13 UTC, lnie
no flags Details
screenshot1 (102.84 KB, image/png)
2019-09-27 10:14 UTC, lnie
no flags Details

Description lnie 2019-09-08 15:11:52 UTC
Created attachment 1612830 [details]
screenshot

Description of problem:
Finish a installation and leave some free space 
[lnie@localhost-live ~]$ lsblk
NAME                            MAJ:MIN RM  SIZE RO TYPE MOUNTPOINT
sda                               8:0    0   50G  0 disk 
├─sda1                            8:1    0    1G  0 part /boot
├─sda2                            8:2    0 23.9G  0 part 
│ ├─fedora_localhost--live-root 253:0    0   20G  0 lvm  /
│ └─fedora_localhost--live-swap 253:1    0  3.9G  0 lvm  [SWAP]
└─sda3                            8:3    0   10G  0 part /home
boot Fedora-Workstation-Live-x86_64-31-20190907.n.0.iso on the newly installed system,remount /home,try to set / to 39G only get 23G,though there are 15G free space available.


Version-Release number of selected component (if applicable):
Fedora-Workstation-Live-x86_64-31-20190907.n.0.iso

How reproducible:
always 

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 lnie 2019-09-08 15:13:30 UTC
Created attachment 1612831 [details]
storage.log

Comment 2 lnie 2019-09-08 15:13:57 UTC
Created attachment 1612832 [details]
anaconda.log

Comment 3 lnie 2019-09-23 06:47:58 UTC
I have sent a pull request for this bug:https://github.com/storaged-project/blivet/pull/803.
It seems that "This" bug can be fixed by changing "/home" weight so that it can be resided on the second partition,
but how about the users want to try to reuse the '/' partition?Plus,changing weight is too professional for me.
So,I have chose another way.

Comment 4 Fedora Blocker Bugs Application 2019-09-24 03:36:56 UTC
Proposed as a Blocker for 31-final by Fedora user lnie using the blocker tracking app because:

 This seems affect the criteria:
The installer must be able to create and install to any workable partition layout using any file system and/or container format combination offered in a default installer configuration,and the custom partitioning criteria also covers re-using "/home" .

Comment 5 David Lehman 2019-09-24 15:33:34 UTC
While I'm not completely against supporting multiple PVs per disk, I do not think this qualifies as a blocker given that users can avoid this problem by using the blivet-gui interface.

Comment 6 Kamil Páral 2019-09-26 08:52:10 UTC
Lili, do I understand correctly that you've re-used all existing partitions, i.e. sda1 as /boot, the VG on sda2 for /, and sda3 for /home? In that case, it seems logical that you only have available 24G for /, because the existing VG (and the underlying sda2) is 24G. Are you saying anaconda should allow you to use the free space after sda3 as well, using custom partitioning?

Comment 7 lnie 2019-09-27 10:01:08 UTC
(In reply to Kamil Páral from comment #6)
> Lili, do I understand correctly that you've re-used all existing partitions,
> i.e. sda1 as /boot, the VG on sda2 for /, and sda3 for /home? In that case,
> it seems logical that you only have available 24G for /, because the
> existing VG (and the underlying sda2) is 24G. Are you saying anaconda should
> allow you to use the free space after sda3 as well, using custom
> partitioning?

kamil,nope,I only wanted to re-use /home with / and /boot deleted

Comment 8 lnie 2019-09-27 10:14:20 UTC
(In reply to David Lehman from comment #5)
> While I'm not completely against supporting multiple PVs per disk, I do not
> think this qualifies as a blocker given that users can avoid this problem by
> using the blivet-gui interface.

I have tried blivet-gui,but it seems dosen't work,failed with screenshot1(/boot filesyetem can't be type of lvmpv),
if I removed /boot,and try to add a new /boot,I see bug #1756288.
Plus,blivet-gui is very hard to use,at least for me,and seems have many bugs,with about one hour use,
I have seen 3 bugs(2 reported,I will reported another after I figure out how to fix it:)

Comment 9 lnie 2019-09-27 10:14:54 UTC
Created attachment 1619988 [details]
screenshot1

Comment 10 lnie 2019-09-27 10:21:10 UTC
I know  /boot filesystem cann't be type of lvmpv,but it is ext4 according to the journal,oh,the fourth bug?I'm gonna to report this.

Comment 11 lnie 2019-09-27 10:37:44 UTC
(In reply to lnie from comment #10)
> I know  /boot filesystem cann't be type of lvmpv,but it is ext4 according to
> the journal,oh,the fourth bug?I'm gonna to report this.

Sorry,I was wrong about this comment,I thought blivet-gui will remain the mountpoint as in non-blivetgui installation,but as you can see from the screenshot1,blivet-gui has removed the mountpoint,
then there is another problem,shouldn't the warning message be "you haven't defined a /boot partition"?

Comment 12 Kamil Páral 2019-09-27 14:01:15 UTC
(In reply to lnie from comment #7)
> kamil,nope,I only wanted to re-use /home with / and /boot deleted

OK, I understand now. The problem is that if you keep a partition in the middle of the disk you end up with two separate free space areas, but the custom partitioning can create LVM just from a single PV. So if you have e.g. 24G and 15G free space regions, you can use just one of them for your VG, and anaconda shows you you still have some free space, but you can't use it and are not told why. So it feels like a bug.

I think this is a design error, honestly. The custom partitioning tries to present a simple view of a complex problem, and unless it is very smart and capable behind the scenes (which in this case it isn't), these inconsistencies will show up. And even if it were very smart and capable, there are some issues which you can't simply solve when you don't want to show a physical partition layout (e.g. when dealing with standard partitions, then in this case you simple can't let the user use the full free space just for /). The user feedback could definitely be better, though.

If I understand David correctly, the custom partitioning was never able to create multiple PVs to create a VG, so this is not a recent regression.

Comment 13 Geoffrey Marr 2019-10-01 00:24:24 UTC
Discussed during the 2019-09-30 blocker review meeting: [0]

The decision to classify this bug as a "RejectedBlocker" was made as this seems to be more a design limitation in the custom partitioning UI than a clear bug, and is not a regression; it's not really suitable for treatment as a blocker bug. We'll hold that it doesn't violate the criterion as the installer is not "offering" to create the layout in question.

[0] https://meetbot.fedoraproject.org/fedora-blocker-review/2019-09-30/f31-blocker-review.2019-09-30-16.00.txt


Note You need to log in before you can comment on or make changes to this bug.